package com.fjhx.jushuitan.controller.jst;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.jushuitan.entity.jst.vo.JstOrderInfoVo;
import com.fjhx.jushuitan.entity.jst.dto.JstOrderInfoSelectDto;
import com.fjhx.jushuitan.entity.jst.dto.JstOrderInfoDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.jushuitan.service.jst.JstOrderInfoService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * <p>
 * 聚水潭订单表 前端控制器
 * </p>
 *
 * @author 
 * @since 2024-01-20
 */
@RestController
@RequestMapping("/jstOrderInfo")
public class JstOrderInfoController {

    @Autowired
    private JstOrderInfoService jstOrderInfoService;

    /**
     * 聚水潭订单表列表
     */
    @PostMapping("/list")
    public List<JstOrderInfoVo> list(@RequestBody JstOrderInfoSelectDto dto) {
        return jstOrderInfoService.getList(dto);
    }

    /**
     * 聚水潭订单表分页
     */
    @PostMapping("/page")
    public Page<JstOrderInfoVo> page(@RequestBody JstOrderInfoSelectDto dto) {
        return jstOrderInfoService.getPage(dto);
    }

    /**
     * 聚水潭订单表明细
     */
    @PostMapping("/detail")
    public JstOrderInfoVo detail(@RequestBody BaseSelectDto dto) {
        return jstOrderInfoService.detail(dto.getId());
    }

    /**
     * 聚水潭订单表新增
     */
    @PostMapping("/add")
    public void add(@RequestBody JstOrderInfoDto jstOrderInfoDto) {
        jstOrderInfoService.add(jstOrderInfoDto);
    }

    /**
     * 聚水潭订单表编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody JstOrderInfoDto jstOrderInfoDto) {
        jstOrderInfoService.edit(jstOrderInfoDto);
    }

    /**
     * 聚水潭订单表删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        jstOrderInfoService.delete(dto.getId());
    }

}
